Package ru.bitel.bgbilling.modules.smarthouse.common.service

# Interface ForpostService

    public interface ForpostService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `forpostAccountObjectDelete​(int accountId)` |
  `SearchResult<ForpostObject>` | `forpostAccountObjectSearch​(int accountId)` |
  `void` | `forpostAccountUsersDelete​(int accountId)` |
  `SearchResult<ForpostUser>` | `forpostAccountUserSearch​(int accountId)` |
  `java.util.List<ForpostCameraBrand>` | `forpostCameraBrandList()` |
  `SearchResult<ForpostCameraBrand>` | `forpostCameraBrandSearch​(java.lang.String[] sort, Page page)` |
  `void` | `forpostCameraBrandSync()` |
  `java.util.List<ru.bitel.bgbilling.common.model.KeyValue>` | `forpostCameraList()` |
  `ForpostCameraModel` | `forpostCameraModelGet​(int id)` |
  `java.util.List<ForpostCameraModel>` | `forpostCameraModelList()` |
  `SearchResult<ForpostCameraModel>` | `forpostCameraModelSearch​(int brandId, java.lang.String[] sort, Page page)` |
  `void` | `forpostCameraModelSync()` |
  `ForpostCameraType` | `forpostCameraTypeGet​(int id)` |
  `java.util.List<ForpostCameraType>` | `forpostCameraTypelList()` |
  `SearchResult<ForpostCameraType>` | `forpostCameraTypeSearch​(java.lang.String[] sort, Page page)` |
  `void` | `forpostCameraTypeSync()` |
  `java.util.List<ForpostMaster>` | `forpostMasterList()` |
  `SearchResult<ForpostMaster>` | `forpostMasterSearch​(java.lang.String[] sort, Page page)` |
  `void` | `forpostMasterSync()` |
  `int` | `forpostObjectAdd​(ForpostObject forpostObject)` |
  `ForpostObject` | `forpostObjectDefaultGet()` |
  `void` | `forpostObjectDelete​(int id)` |
  `void` | `forpostObjectParamUpdate​(int forpostObjectId, java.lang.String name, java.lang.String value)` |
  `SearchResult<ForpostTMCAO<ForpostObject>>` | `forpostObjectSearch​(java.lang.String[] sort, Page page)` |
  `void` | `forpostObjectsSync​(int accountId)` |
  `void` | `forpostObjectSync()` |
  `void` | `forpostObjectUpdate​(ForpostObject forpostObject)` |
  `java.util.List<ForpostProtocol>` | `forpostProtocolList()` |
  `SearchResult<ForpostProtocol>` | `forpostProtocolSearch​(java.lang.String[] sort, Page page)` |
  `void` | `forpostProtocolSync()` |
  `java.util.List<ForpostPtzType>` | `forpostPtzTypeList()` |
  `SearchResult<ForpostPtzType>` | `forpostPtzTypeSearch​(java.lang.String[] sort, Page page)` |
  `void` | `forpostPtzTypeSync()` |
  `java.util.List<ForpostRecordType>` | `forpostRecordTypeList()` |
  `SearchResult<ForpostRecordType>` | `forpostRecordTypeSearch​(java.lang.String[] sort, Page page)` |
  `void` | `forpostRecordTypeSync()` |
  `java.util.List<ForpostRtspTransport>` | `forpostRtspTransportList()` |
  `SearchResult<ForpostRtspTransport>` | `forpostRtspTransportSearch​(java.lang.String[] sort, Page page)` |
  `void` | `forpostRtspTransportSync()` |
  `int` | `forpostUserAdd​(ForpostUser forpostUser)` |
  `ForpostUser` | `forpostUserDefaultGet()` |
  `void` | `forpostUserDelete​(int id)` |
  `void` | `forpostUserParamUpdate​(int forpostUserId, java.lang.String name, java.lang.String value)` |
  `SearchResult<ForpostTMCAO<ForpostUser>>` | `forpostUsersSearch​(java.lang.String[] sort, Page page)` |
  `void` | `forpostUsersSync​(int accountId)` |
  `void` | `forpostUserSync()` |
  `void` | `forpostUserUpdate​(ForpostUser forpostUser)` |

- ## Method Details

  - ### forpostCameraTypeSearch

    SearchResult<ForpostCameraType> forpostCameraTypeSearch​(java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostCameraTypeSync

    void forpostCameraTypeSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostCameraTypelList

    java.util.List<ForpostCameraType> forpostCameraTypelList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostCameraTypeGet

    ForpostCameraType forpostCameraTypeGet​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostUsersSearch

    SearchResult<ForpostTMCAO<ForpostUser>> forpostUsersSearch​(java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostAccountUserSearch

    SearchResult<ForpostUser> forpostAccountUserSearch​(int accountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostUserSync

    void forpostUserSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostUsersSync

    void forpostUsersSync​(int accountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostUserDefaultGet

    ForpostUser forpostUserDefaultGet() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostUserAdd

    int forpostUserAdd​(ForpostUser forpostUser) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### forpostUserUpdate

    void forpostUserUpdate​(ForpostUser forpostUser) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### forpostUserParamUpdate

    void forpostUserParamUpdate​(int forpostUserId, java.lang.String name, java.lang.String value) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### forpostUserDelete

    void forpostUserDelete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostAccountUsersDelete

    void forpostAccountUsersDelete​(int accountId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### forpostMasterSearch

    SearchResult<ForpostMaster> forpostMasterSearch​(java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostMasterSync

    void forpostMasterSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostMasterList

    java.util.List<ForpostMaster> forpostMasterList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostProtocolSearch

    SearchResult<ForpostProtocol> forpostProtocolSearch​(java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostProtocolSync

    void forpostProtocolSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostProtocolList

    java.util.List<ForpostProtocol> forpostProtocolList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostPtzTypeSearch

    SearchResult<ForpostPtzType> forpostPtzTypeSearch​(java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostPtzTypeSync

    void forpostPtzTypeSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostPtzTypeList

    java.util.List<ForpostPtzType> forpostPtzTypeList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostRecordTypeSearch

    SearchResult<ForpostRecordType> forpostRecordTypeSearch​(java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostRecordTypeSync

    void forpostRecordTypeSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostRecordTypeList

    java.util.List<ForpostRecordType> forpostRecordTypeList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostRtspTransportSearch

    SearchResult<ForpostRtspTransport> forpostRtspTransportSearch​(java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostRtspTransportSync

    void forpostRtspTransportSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostRtspTransportList

    java.util.List<ForpostRtspTransport> forpostRtspTransportList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostCameraBrandSearch

    SearchResult<ForpostCameraBrand> forpostCameraBrandSearch​(java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostCameraBrandSync

    void forpostCameraBrandSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostCameraBrandList

    java.util.List<ForpostCameraBrand> forpostCameraBrandList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostCameraModelSearch

    SearchResult<ForpostCameraModel> forpostCameraModelSearch​(int brandId, java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostCameraModelSync

    void forpostCameraModelSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostCameraModelList

    java.util.List<ForpostCameraModel> forpostCameraModelList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostCameraModelGet

    ForpostCameraModel forpostCameraModelGet​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostCameraList

    java.util.List<ru.bitel.bgbilling.common.model.KeyValue> forpostCameraList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostObjectSearch

    SearchResult<ForpostTMCAO<ForpostObject>> forpostObjectSearch​(java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostAccountObjectSearch

    SearchResult<ForpostObject> forpostAccountObjectSearch​(int accountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostObjectDefaultGet

    ForpostObject forpostObjectDefaultGet() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostObjectAdd

    int forpostObjectAdd​(ForpostObject forpostObject) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### forpostObjectUpdate

    void forpostObjectUpdate​(ForpostObject forpostObject) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### forpostObjectParamUpdate

    void forpostObjectParamUpdate​(int forpostObjectId, java.lang.String name, java.lang.String value) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### forpostObjectDelete

    void forpostObjectDelete​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### forpostAccountObjectDelete

    void forpostAccountObjectDelete​(int accountId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### forpostObjectSync

    void forpostObjectSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### forpostObjectsSync

    void forpostObjectsSync​(int accountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`